import request from '@/utils/request'

// 综合查询接口
export function seoSearch(params) {
  return request({
    url: '/case/queryListPage',
    method: 'get',
    params
  })
}

// 案卷来源
export function getCaseSourceList() {
  return request({
    url: '/dict/code/caseSource',
    method: 'get'
  })
}

// 案卷等级
export function getCaseLevelList() {
  return request({
    url: '/dict/code/caseLevel',
    method: 'get'
  })
}

// 案卷状态
export function getCaseStateList() {
  return request({
    url: '/dict/code/caseState',
    method: 'get'
  })
}

// 案卷类别
export function getCaseTypeList() {
  return request({
    url: '/dict/code/eorc',
    method: 'get'
  })
}

// 归档类型
export function getFilingTypeList() {
  return request({
    url: '/dict/code/filingType',
    method: 'get'
  })
}
// 超期类型查询
export function getSpecialQueryList() {
  return request({
    url: '/case/specialQueryList',
    method: 'get'
  })
}

// 大类
export function getCaseBigTypeList(params) {
  return request({
    url: '/case/type/list',
    method: 'get',
    params
  })
}

// 小类
export function getCaseDetailTypeList(params) {
  return request({
    url: '/case/typeDetail/list',
    method: 'get',
    params
  })
}

// 获取监督员列表
export function getSupervisorList() {
  return request({
    url: '/mgr/simplelist',
    method: 'post',
    params: {
      deptid: '',
      hasMine: '0',
      roleTips: 'supervisor'
    }
  })
}
